import request from '@/utils/request'

// 查询撤销登记信息列表
export function listDeregistration(query) {
  return request({
    url: '/basicData/xcrDeregistration/findByPage',
    method: 'get',
    params: query
  })
}

// 查询撤销登记信息详细
export function getDeregistration(xhCodeId) {
  return request({
    url: '/basicData/xcrDeregistration/' + xhCodeId,
    method: 'get'
  })
}

// 新增撤销登记信息
export function addDeregistration(data) {
  return request({
    url: '/basicData/xcrDeregistration',
    method: 'post',
    data: data
  })
}

// 修改撤销登记信息
export function updateDeregistration(data) {
  return request({
    url: '/basicData/xcrDeregistration',
    method: 'put',
    data: data
  })
}

// 删除撤销登记信息
export function delDeregistration(xhCodeId) {
  return request({
    url: '/basicData/xcrDeregistration/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDeregistrationBatch(ids) {
  return request.post('/basicData/xcrDeregistration/delete',ids)
}
